DEPTH = ../..
RELEASE_DIR = $(DEPTH)/release/FreeDoko_$(VERSION)/doc/de/

include $(DEPTH)/Makefile.os

#DOCUMENTS = freedoko_konzept freedoko_regeln kurzregeln

#include ../Makefile.latex

.PHONY: all
all: txt pdf

ifeq ($(OPERATING_SYSTEM), Linux)
.PHONY: release
release : all
	mkdir -p $(RELEASE_DIR)
	for f in Einfuehrung Kurzregeln Regeln Dateien Konfiguration Planung Fehler FAQ; do \
	  cp $$f.txt $$f.pdf $(RELEASE_DIR); \
	done
	cp GPL.de LIESMICH* DDV_Kurzregeln.pdf DDV_Turnierregeln.pdf $(RELEASE_DIR)
endif

ifeq ($(OPERATING_SYSTEM), Linux)
.PHONY: txt
txt : LIESMICH.txt Einfuehrung.txt Kurzregeln.txt Regeln.txt Dateien.txt Konfiguration.txt Planung.txt Fehler.txt FAQ.txt

LIESMICH.txt : LIESMICH.html
	w3m -dump $< > $@
	flip -mb $@

Einfuehrung.txt : ../manual/de/introduction.html
	w3m -dump $< > $@
	flip -mb $@

Kurzregeln.txt : ../manual/de/shortrules.html
	w3m -dump $< > $@
	flip -mb $@

Regeln.txt : ../manual/de/rules.html
	w3m -dump $< > $@
	flip -mb $@

Dateien.txt : ../manual/de/files.html
	w3m -dump $< > $@
	flip -mb $@

Konfiguration.txt : ../manual/de/configuration.html
	w3m -dump $< > $@
	flip -mb $@

Planung.txt : ../manual/de/todo.html
	w3m -dump $< > $@
	flip -mb $@

Fehler.txt : ../manual/de/bugs.html
	w3m -dump $< > $@
	flip -mb $@

FAQ.txt : ../manual/de/faq.html
	w3m -dump $< > $@
	flip -mb $@
endif

ifeq ($(OPERATING_SYSTEM), Linux)
.PHONY: pdf
pdf : Einfuehrung.pdf Kurzregeln.pdf Regeln.pdf Dateien.pdf Konfiguration.pdf Planung.pdf Fehler.pdf FAQ.pdf

Einfuehrung.pdf : ../manual/de/introduction.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

Kurzregeln.pdf : Kurzregeln.tex
	latex $(basename $@).tex \
	  && dvips $(basename $@).dvi -o - | ps2pdf - $@ \
	  && rm $(basename $@).dvi
	rm -f $(basename $@).{aux,dvi,log}

Regeln.pdf : ../manual/de/rules.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

Dateien.pdf : ../manual/de/files.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

Konfiguration.pdf : ../manual/de/configuration.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

Planung.pdf : ../manual/de/todo.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

Fehler.pdf : ../manual/de/bugs.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

FAQ.pdf : ../manual/de/faq.html
	htmldoc --webpage --color --numbered --quiet --format --truetype -f $@ $<

endif

clean :
	for f in LIESMICH Einfuehrung Kurzregeln Regeln Konfiguration FAQ; do \
	  rm -f $$f.txt $$f.pdf; \
	done
